#
# spec file for package ghc-parser-combinators
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name parser-combinators
Name:           ghc-%{pkg_name}
Version:        1.2.1
Release:        bp153.1.20
Summary:        Lightweight package providing commonly useful parser combinators
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
Lightweight package providing commonly useful parser combinators.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE.md

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Sat Nov  9 2019 psimons@suse.com
- Update parser-combinators to version 1.2.1.
  [#]# Parser combinators 1.2.1
  * The tests in `parser-combinators-tests` now work with Megaparsec 8.
  * Dropped support for GHC 8.2.
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Mon Jul 29 2019 psimons@suse.com
- Update parser-combinators to version 1.2.0.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/parser-combinators-1.2.0/src/CHANGELOG.md
* Sun Jun  9 2019 psimons@suse.com
- Update parser-combinators to version 1.1.0.
  [#]# Parser combinators 1.1.0
  * Added support for ternary operators; see `TernR` in
    `Control.Monad.Combinators.Expr`.
* Sat May 11 2019 psimons@suse.com
- Update parser-combinators to version 1.0.3.
  [#]# Parser combinators 1.0.3
  * Dropped support for GHC 7.10.
  * Added a test suite as a separate package called
    `parser-combinators-tests`.
* Sat Apr  6 2019 psimons@suse.com
- Update parser-combinators to version 1.0.2.
  [#]# Parser combinators 1.0.2
  * Defined `liftA2` for `Permutation` manually. The new definition should be
    more efficient.
  * Made inner `Maybe` field in `Permutation` strict.
* Wed Jan  2 2019 psimons@suse.com
- Update parser-combinators to version 1.0.1.
  [#]# Parser combinators 1.0.1
  * Cosmetic changes in the source code.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Tue Jul 10 2018 psimons@suse.com
- Add parser-combinators at version 1.0.0.
